Bug 67459 - installkernel makes duplicate entries in grub.conf
installkernel makes duplicate entries in grub.conf
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: mkinitrd (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Erik Troan
David Lawrence
: FutureFeature
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-06-25 12:59 EDT by Petri Koistinen
Modified: 2007-03-26 23:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-08 14:25:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petri Koistinen 2002-06-25 12:59:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-6.55 i686; Nav)

Description of problem:
/sbin/installkernel should not make duplicate entries in grub.conf file.

Here is an example:
#boot=/dev/hda
default=3
timeout=5
#splashimage=(hd0,0)/grub/splash.xpm.gz
title Red Hat Linux (2.4.19-rc1)
        root (hd0,0)
        kernel /vmlinuz-2.4.19-rc1 ro root=/dev/hda5
title Red Hat Linux (2.4.19-rc1)
        root (hd0,0)
        kernel /vmlinuz-2.4.19-rc1 ro root=/dev/hda5
title Red Hat Linux (2.4.18-6.55)
        root (hd0,0)
        kernel /vmlinuz-2.4.18-6.55 ro root=/dev/hda5
        initrd /initrd-2.4.18-6.55.img

Second entry is redundant. /sbin/installkernel should take care that there is
not redundant entries in grub.conf file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get latest kernel from kernel.org mirror.
2. Extract, configure, make and install kernel.
3. Reboot.
4. Notice how nicely new kernel image appears on grub bootmenu.
5. Boot.
6. Notice a problem in current kernel config.
7. Reconfigure your kernel, make and install it.
8. Reboot.
9. Notice how there is redundant entry on grub bootmenu.


Additional info:

mkinitrd-3.4.8-1
Comment 1 Erik Troan 2002-06-27 16:24:58 EDT
don't know how you want to handle this
Comment 2 Erik Troan 2002-07-10 12:01:29 EDT
fixed in mkintird 3.4.14
Comment 3 Petri Koistinen 2002-07-18 08:11:23 EDT
Thank you!

Note You need to log in before you can comment on or make changes to this bug.